const lots_of_poetry = [
  "job",
  // Job
  "psa",
  // Psalms
  "pro",
  // Proverbs
  "ecc",
  // Ecclesiastes
  "sng",
  // Song of Songs
  "isa",
  // Isaiah
  "jer",
  // Jeremiah
  "lam",
  // Lamentations
  "ezk",
  // Ezekiel
  // 'dan',  Daniel       (some stanzas but still part of the narrative)
  "hos",
  // Hosea
  "jol",
  // Joel
  "amo",
  // Amos
  "oba",
  // Obadiah
  // 'jon',  Jonah        (just one prayer)
  "mic",
  // Micah
  "nam",
  // Nahum
  "hab",
  // Habakkuk
  "zep",
  // Zephaniah
  "hag",
  // Haggai
  "zec"
  // Zechariah
  // 'mal',  Malachi      (dialogue, not stanzas)
];
function pre_usx_to_json(translation, book, usx) {
  if (translation === "eng_bsb" && !lots_of_poetry.includes(book)) {
    usx = usx.replaceAll('<para style="b"/>', "");
  }
  if (translation === "cmn_bib" && book === "isa") {
    usx = usx.replace('<verse eid="ISA 38:6"/>', "").replace('<verse number="21" style="v" sid="ISA 38:21"/>', "").replace('<verse eid="ISA 38:21"/>', "").replace('<verse number="22" style="v" sid="ISA 38:22"/>', "").replace('<verse eid="ISA 38:22"/>', '<verse eid="ISA 38:6"/>');
  }
  return usx;
}
export {
  pre_usx_to_json
};
//# sourceMappingURL=patches.js.map
