/// <reference types="node" />
import { S3 } from '@aws-sdk/client-s3';
import { CloudFront } from '@aws-sdk/client-cloudfront';
export declare class PublisherAWS {
    _s3: S3;
    _bucket: string;
    _cf: CloudFront;
    _cf_id: string;
    constructor();
    upload(key: string, body: Buffer | string, type: string): Promise<void>;
    invalidate(paths: string[]): Promise<void>;
}
