import { join } from "node:path";
import { existsSync, writeFileSync } from "node:fs";
import { mkdir_exist } from "./utils.js";
const TEMPLATE = `
integrations:
    aws:
        bucket:
        region:
        cloudfront:
`;
async function init_config() {
  const path = "config.yaml";
  if (!existsSync(path)) {
    writeFileSync(path, TEMPLATE);
  }
  mkdir_exist("sources");
  mkdir_exist(join("sources", "bibles"));
  mkdir_exist(join("sources", "notes"));
  mkdir_exist(join("sources", "crossref"));
}
export {
  init_config
};
//# sourceMappingURL=config.js.map
